Bug 965356 - SELinux is preventing 536F636B657420546872656164 from 'mmap_zero' accesses on the memprotect .
SELinux is preventing 536F636B657420546872656164 from 'mmap_zero' accesses on...
Status: CLOSED DUPLICATE of bug 882623
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
19
i686 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Miroslav Grepl
Fedora Extras Quality Assurance
abrt_hash:cff0ee0775ef608f728bf369b5e...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-20 22:25 EDT by Mikhail
Modified: 2013-06-07 11:08 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-06-07 11:08:12 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mikhail 2013-05-20 22:25:34 EDT
Description of problem:
SELinux is preventing 536F636B657420546872656164 from 'mmap_zero' accesses on the memprotect .

*****  Plugin mmap_zero (53.1 confidence) suggests  **************************

If you do not think 536F636B657420546872656164 should need to mmap low memory in the kernel.
Then you may be under attack by a hacker, this is a very dangerous access.
Do
contact your security administrator and report this issue.

*****  Plugin catchall_boolean (42.6 confidence) suggests  *******************

If you want to control the ability to mmap a low area of the address space, as configured by /proc/sys/kernel/mmap_min_addr.
Then you must tell SELinux about this by enabling the 'mmap_low_allowed' boolean.
You can read 'unconfined_selinux' man page for more details.
Do
setsebool -P mmap_low_allowed 1

*****  Plugin catchall (5.76 confidence) suggests  ***************************

If you believe that 536F636B657420546872656164 should be allowed mmap_zero access on the  memprotect by default.
Then you should report this as a bug.
You can generate a local policy module to allow this access.
Do
allow this access for now by executing:
# grep 536F636B657420546872656164 /var/log/audit/audit.log | audit2allow -M mypol
# semodule -i mypol.pp

Additional Information:
Source Context                unconfined_u:unconfined_r:unconfined_t:s0-s0:c0.c1
                              023
Target Context                unconfined_u:unconfined_r:unconfined_t:s0-s0:c0.c1
                              023
Target Objects                 [ memprotect ]
Source                        536F636B657420546872656164
Source Path                   536F636B657420546872656164
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           
Target RPM Packages           
Policy RPM                    selinux-policy-3.12.1-44.fc19.noarch
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Enforcing
Host Name                     (removed)
Platform                      Linux (removed) 3.9.2-301.fc19.i686.PAE #1 SMP Mon
                              May 13 12:47:57 UTC 2013 i686 i686
Alert Count                   4
First Seen                    2013-05-19 15:10:45 YEKT
Last Seen                     2013-05-21 00:44:12 YEKT
Local ID                      16bb6fca-ab56-4ef7-b4de-b2e58531249a

Raw Audit Messages
type=AVC msg=audit(1369075452.523:1041): avc:  denied  { mmap_zero } for  pid=19596 comm="wine-preloader" scontext=unconfined_u:unconfined_r:unconfined_t:s0-s0:c0.c1023 tcontext=unconfined_u:unconfined_r:unconfined_t:s0-s0:c0.c1023 tclass=memprotect


Hash: 536F636B657420546872656164,unconfined_t,unconfined_t,memprotect,mmap_zero

audit2allow

#============= unconfined_t ==============

#!!!! This avc can be allowed using the boolean 'mmap_low_allowed'
allow unconfined_t self:memprotect mmap_zero;

audit2allow -RYou must regenerate interface info by running /usr/bin/sepolgen-ifgen


Additional info:
reporter:       libreport-2.1.4
hashmarkername: setroubleshoot
kernel:         3.9.3-301.fc19.i686.PAE
type:           libreport
Comment 1 Eric Paris 2013-06-07 11:08:12 EDT
application running is the wine-preloader

*** This bug has been marked as a duplicate of bug 882623 ***

Note You need to log in before you can comment on or make changes to this bug.